## basilisk2 0.9.20240401

=== SheepShaver/src/BeOS/CreatePCIDrivers/Makefile ===
all: ../../EthernetDriverStub.i ../../VideoDriverStub.i

clean:
	-rm *.o hexconv Ethernet Video

../../EthernetDriverStub.i: Ethernet hexconv
	hexconv $< $@

../../VideoDriverStub.i: Video hexconv
	hexconv $< $@

hexconv: hexconv.cpp
	mwcc -o hexconv hexconv.cpp

Ethernet.o: Ethernet.cpp
	mwcc -I.. -I../../include -o $@ -c $<

Video.o: Video.cpp
	mwcc -I.. -I../../include -o $@ -c $<

Ethernet: Ethernet.o
	mwldppc -xms -export pragma -nostdentry -nostdlib -o $@ $<

Video: Video.o
	mwldppc -xms -export pragma -nostdentry -nostdlib -o $@ $<

=== debian/changelog ===
basilisk2 (0.9.20240401-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * unfuzz patch 1001
  * add patch 2001 to include string.h in TUN/TAP configure test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 08:49:23 +0200

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.9.%cd \
https://github.com/kanjitalk755/macemu HEAD

## basilisk2 0.9.20240402+dfsg

=== SheepShaver/Makefile ===
# Makefile for creating SheepShaver distributions
# Written in 1999 by Christian Bauer <Christian.Bauer@uni-mainz.de>

VERSION := 2.3
VERNAME := SheepShaver-$(VERSION)
CVSDATE := $(shell date "+%Y%m%d")

SRCARCHIVE := $(VERNAME)-$(CVSDATE).tar.gz

TMPDIR := $(shell date +/tmp/build%m%s)
ISODATE := $(shell date "+%Y-%m-%d %H:%M")
DOCS := NEWS
SRCS := src

# Where Basilisk II directory can be found
B2_TOPDIR := ../BasiliskII

default: help

help:
	@echo "This top-level Makefile is for creating SheepShaver distributions."
	@echo "The following targets are available:"
	@echo "  tarball  source tarball ($(SRCARCHIVE))"
	@echo "  links    create links to Basilisk II sources"

clean:
	-rm -f $(SRCARCHIVE)

#
# Source tarball
#
tarball: $(SRCARCHIVE)

$(SRCARCHIVE): $(SRCS) $(DOCS)
	-rm -rf $(TMPDIR)
	mkdir $(TMPDIR)
	cd $(TMPDIR); cvs export -D "$(ISODATE)" BasiliskII SheepShaver
	cd $(TMPDIR)/SheepShaver/src/Unix && mkdir Darwin
	cd $(TMPDIR)/SheepShaver && make links
	cd $(TMPDIR)/SheepShaver/src/Unix && NO_CONFIGURE=1 ./autogen.sh
	cd $(TMPDIR)/SheepShaver/src/Windows && NO_CONFIGURE=1 ../Unix/autogen.sh
	rm $(TMPDIR)/SheepShaver/Makefile
	cp -aL $(TMPDIR)/SheepShaver $(TMPDIR)/$(VERNAME)
	cd $(TMPDIR); tar cfz $@ $(VERNAME)
	mv $(TMPDIR)/$@ .
	rm -rf $(TMPDIR)

#
# Links to Basilisk II sources
#
links:
	(cd src/Windows; if [ ! -e m4 ]; then ln -s ../../../BasiliskII/src/Unix/m4; fi)
	@list='adb.cpp audio.cpp cdrom.cpp disk.cpp extfs.cpp pict.c \
	       prefs.cpp scsi.cpp sony.cpp timer.cpp xpram.cpp \
	       bincue.cpp include/bincue.h \
	       include/adb.h include/audio.h include/audio_defs.h \
	       include/cdrom.h include/clip.h include/debug.h include/disk.h \
	       include/extfs.h include/extfs_defs.h include/pict.h \
	       include/prefs.h include/scsi.h include/serial.h \
	       include/serial_defs.h include/sony.h include/sys.h \
	       include/timer.h include/xpram.h \
	       BeOS/audio_beos.cpp BeOS/extfs_beos.cpp BeOS/scsi_beos.cpp \
	       BeOS/serial_beos.cpp BeOS/sys_beos.cpp BeOS/timer_beos.cpp \
	       BeOS/xpram_beos.cpp BeOS/SheepDriver BeOS/SheepNet \
	       CrossPlatform/sigsegv.h CrossPlatform/vm_alloc.h CrossPlatform/vm_alloc.cpp \
               CrossPlatform/video_vosf.h CrossPlatform/video_blit.h CrossPlatform/video_blit.cpp \
	       Unix/audio_oss_esd.cpp \
	       Unix/vhd_unix.cpp \
	       Unix/extfs_unix.cpp Unix/serial_unix.cpp \
	       Unix/sshpty.h Unix/sshpty.c Unix/strlcpy.h Unix/strlcpy.c \
	       Unix/sys_unix.cpp Unix/timer_unix.cpp Unix/xpram_unix.cpp Unix/prefs_unix.cpp \
	       Unix/semaphore.h Unix/posix_sem.cpp Unix/config.sub Unix/config.guess Unix/m4 \
	       Unix/keycodes Unix/tunconfig Unix/clip_unix.cpp Unix/Irix/audio_irix.cpp \
	       Unix/Linux/scsi_linux.cpp Unix/Linux/NetDriver Unix/ether_unix.cpp \
	       Unix/rpc.h Unix/rpc_unix.cpp Unix/ldscripts \
	       Unix/tinyxml2.h Unix/tinyxml2.cpp Unix/disk_unix.h \
	       Unix/disk_sparsebundle.cpp Unix/Darwin/mkstandalone \
	       Unix/Darwin/pagezero.c Unix/Darwin/testlmem.sh \
	       dummy/audio_dummy.cpp dummy/clip_dummy.cpp dummy/serial_dummy.cpp \
	       dummy/prefs_editor_dummy.cpp dummy/scsi_dummy.cpp SDL slirp \
	       MacOSX/sys_darwin.cpp MacOSX/clip_macosx.cpp MacOSX/clip_macosx64.mm \
	       MacOSX/macos_util_macosx.h Unix/cpr.sh \
	       MacOSX/extfs_macosx.cpp Windows/clip_windows.cpp \
	       MacOSX/MacOSX_sound_if.cpp MacOSX/MacOSX_sound_if.h \
	       MacOSX/AudioBackEnd.cpp MacOSX/AudioBackEnd.h \
	       MacOSX/AudioDevice.cpp MacOSX/AudioDevice.h MacOSX/audio_macosx.cpp \
	       MacOSX/utils_macosx.mm MacOSX/utils_macosx.h \
	       Windows/cd_defs.h Windows/cdenable Windows/extfs_windows.cpp \
	       Windows/posix_emu.cpp Windows/posix_emu.h Windows/sys_windows.cpp \
	       Windows/timer_windows.cpp Windows/util_windows.cpp \
	       Windows/util_windows.h Windows/xpram_windows.cpp \
	       Windows/serial_windows.cpp Windows/router Windows/b2ether \
	       Windows/ether_windows.h Windows/ether_windows.cpp \
	       Windows/serial_windows.cpp Windows/prefs_editor_gtk.cpp \
	       uae_cpu/compiler/codegen_x86.h'; \
	PREFIX="../"; case $(B2_TOPDIR) in /*) PREFIX="";; esac; \
	for i in $$list; do \
	  if test "$$i" != "\\"; then \
	    echo $$i; o=$$i; \
	    case $$i in *codegen_x86.h) o=kpx_cpu/src/cpu/jit/x86/codegen_x86.h;; esac; \
	    SUB=`echo $$o | sed 's;[^/]*/;../;g' | sed 's;[^/]*$$;;'` ;\
	    cur_link=src/$$o ;\
	    if [ -e "$$cur_link" ]; then rm -rf "$$cur_link"; fi ;\
	    ln -sf "$$PREFIX$$SUB$(B2_TOPDIR)/src/$$i" $$cur_link; \
	  fi; \
	done;

=== SheepShaver/src/BeOS/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= SheepShaver

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= APP

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
SRCS= ../main.cpp main_beos.cpp ../prefs.cpp ../prefs_items.cpp prefs_beos.cpp \
    prefs_editor_beos.cpp sys_beos.cpp ../rom_patches.cpp ../rsrc_patches.cpp \
    ../emul_op.cpp ../name_registry.cpp ../macos_util.cpp ../timer.cpp \
    timer_beos.cpp ../xpram.cpp xpram_beos.cpp ../adb.cpp clip_beos.cpp \
    ../sony.cpp ../disk.cpp ../cdrom.cpp ../scsi.cpp scsi_beos.cpp \
    ../video.cpp video_beos.cpp ../audio.cpp audio_beos.cpp ../ether.cpp \
    ether_beos.cpp ../serial.cpp serial_beos.cpp ../extfs.cpp extfs_beos.cpp \
    about_window_beos.cpp ../user_strings.cpp user_strings_beos.cpp ../thunks.cpp

#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= SheepShaver.rsrc

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS= be tracker game media translation textencoding device GL

#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS = 

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = ../include SheepDriver SheepNet

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from a source-level
#	debugger.  Note that this will disable all optimzation.
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS = -prefix BeHeaders

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine

=== SheepShaver/src/BeOS/NetPeek/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= NetPeek

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= APP

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
SRCS= NetPeek.cpp

#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= 

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS= 

#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS = 

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = ../ ../../include ../NetAddOn

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from a source-level
#	debugger.  Note that this will disable all optimzation.
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS =

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine

=== SheepShaver/src/BeOS/SaveROM/Makefile ===
## BeOS Generic Makefile v2.1 ##

## Fill in this file to specify the project being created, and the referenced
## makefile-engine will do all of the hard work for you.  This handles both
## Intel and PowerPC builds of the BeOS.

## Application Specific Settings ---------------------------------------------

# specify the name of the binary
NAME= SaveROM

# specify the type of binary
#	APP:	Application
#	SHARED:	Shared library or add-on
#	STATIC:	Static library archive
#	DRIVER: Kernel Driver
TYPE= APP

#	add support for new Pe and Eddie features
#	to fill in generic makefile

#%{
# @src->@ 

#	specify the source files to use
#	full paths or paths relative to the makefile can be included
# 	all files, regardless of directory, will have their object
#	files created in the common object directory.
#	Note that this means this makefile will not work correctly
#	if two source files with the same name (source.c or source.cpp)
#	are included from different directories.  Also note that spaces
#	in folder names do not work well with this makefile.
SRCS= SaveROM.cpp

#	specify the resource files to use
#	full path or a relative path to the resource file can be used.
RSRCS= SaveROM.rsrc

# @<-src@ 
#%}

#	end support for Pe and Eddie

#	specify additional libraries to link against
#	there are two acceptable forms of library specifications
#	-	if your library follows the naming pattern of:
#		libXXX.so or libXXX.a you can simply specify XXX
#		library: libbe.so entry: be
#		
#	- 	if your library does not follow the standard library
#		naming scheme you need to specify the path to the library
#		and it's name
#		library: my_lib.a entry: my_lib.a or path/my_lib.a
LIBS= be

#	specify additional paths to directories following the standard
#	libXXX.so or libXXX.a naming scheme.  You can specify full paths
#	or paths relative to the makefile.  The paths included may not
#	be recursive, so include all of the paths where libraries can
#	be found.  Directories where source files are found are
#	automatically included.
LIBPATHS= 

#	additional paths to look for system headers
#	thes use the form: #include <header>
#	source file directories are NOT auto-included here
SYSTEM_INCLUDE_PATHS = 

#	additional paths to look for local headers
#	thes use the form: #include "header"
#	source file directories are automatically included
LOCAL_INCLUDE_PATHS = ../ ../../include ../NetAddOn

#	specify the level of optimization that you desire
#	NONE, SOME, FULL
OPTIMIZE= FULL

#	specify any preprocessor symbols to be defined.  The symbols will not
#	have their values set automatically; you must supply the value (if any)
#	to use.  For example, setting DEFINES to "DEBUG=1" will cause the
#	compiler option "-DDEBUG=1" to be used.  Setting DEFINES to "DEBUG"
#	would pass "-DDEBUG" on the compiler's command line.
DEFINES= 

#	specify special warning levels
#	if unspecified default warnings will be used
#	NONE = supress all warnings
#	ALL = enable all warnings
WARNINGS = 

#	specify whether image symbols will be created
#	so that stack crawls in the debugger are meaningful
#	if TRUE symbols will be created
SYMBOLS = 

#	specify debug settings
#	if TRUE will allow application to be run from a source-level
#	debugger.  Note that this will disable all optimzation.
DEBUGGER = 

#	specify additional compiler flags for all files
COMPILER_FLAGS =

#	specify additional linker flags
LINKER_FLAGS =


## include the makefile-engine
include /boot/develop/etc/makefile-engine

=== debian/changelog ===
basilisk2 (0.9.20240402+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstrea source tarball
      to exclude embedded code copy of TinyXML
    + update coverage
  * update watch file:
    + set dversionmangle=auto
    + set repacksuffix=+dfsg
  * stop clean no longer included source files
  * drop patch 2001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2024 13:40:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_SRCDIR = BasiliskII/src/Unix
DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = nojit

# add JIT compiler when supported
DEB_MAKE_FLAVORS += $(if $(filter amd64 i386,$(DEB_HOST_ARCH)),jit)

DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_ACLOCAL_ARGS = -I m4
DEB_AUTO_UPDATE_AUTOHEADER = 2.68
DEB_AUTO_UPDATE_AUTOCONF = 2.68

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_USER_FLAGS = --disable-rpath

# SDL allows use of pulseaudio (and pipewire) without gone libesd headers
DEB_CONFIGURE_USER_FLAGS = --enable-sdl-video --enable-sdl-audio --with-sdl2

DEB_CONFIGURE_USER_FLAGS += $(if $(filter debug,$(DEB_BUILD_OPTIONS)),,--without-mon)
DEB_CONFIGURE_FLAGS_jit = --enable-jit-compiler

DEB_MAKE_EXTRA_ARGS = "APP_FLAVOR=$(cdbs_make_curflavor)"
DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp-@FLAVOR@

# Suppress excess and seemingly non-fatal warnings
#  * Upstream included -fno-merge-constants but seems unneeded
warning-flags = -Wno-unused-variable -Wno-unused-label -Wno-unused-function -Wno-missing-braces -Wno-parentheses
includedirs = -I$(CURDIR)/$(DEB_SRCDIR)
CFLAGS += $(warning-flags) $(includedirs)
CXXFLAGS += $(warning-flags) $(includedirs)

DEB_INSTALL_DOCS_ALL += BasiliskII/TECH
DEB_INSTALL_CHANGELOGS_ALL = debian/ChangeLog.git
DEB_INSTALL_MANPAGES_ALL = debian/tmp-nojit/usr/share/man/man1/BasiliskII-nojit.1
# Add jit flavour files when compiled
DEB_INSTALL_MANPAGES_ALL += $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/share/man/man1/BasiliskII-jit.1)
DEB_DH_INSTALL_ARGS_ALL = $(if $(filter jit,$(DEB_MAKE_FLAVORS)),debian/tmp-jit/usr/bin/BasiliskII-jit usr/bin)

DEB_INSTALL_EXAMPLES_basilisk2 = $(DEB_SRCDIR)/Linux/* $(DEB_SRCDIR)/tunconfig

binary-install/basilisk2::
	dh_install debian/basilisk2.desktop usr/share/applications
	dh_install debian/basilisk2.xpm usr/share/pixmaps

# tunconfig will be installed as example file only
binary-post-install/basilisk2::
	rm -f debian/$(cdbs_curpkg)/usr/share/BasiliskII/tunconfig

clean::
	rm -fr $(DEB_MAKE_FLAVORS:%=debian/tmp-%) build
	rm -f  $(addprefix $(DEB_SRCDIR),/aclocal.m4 /config.h.in /configure)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.9.%cd,\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://github.com/kanjitalk755/macemu HEAD

## basilisk2 0.9.20251105+dfsg

=== SheepShaver/Makefile ===
--- 
+++ 
@@ -56,9 +56,10 @@
 	       include/adb.h include/audio.h include/audio_defs.h \
 	       include/cdrom.h include/clip.h include/debug.h include/disk.h \
 	       include/extfs.h include/extfs_defs.h include/pict.h \
-	       include/prefs.h include/scsi.h include/serial.h \
+	       include/prefs.h include/scsi.h include/serial.h include/prefs_editor.h \
 	       include/serial_defs.h include/sony.h include/sys.h \
-	       include/timer.h include/xpram.h \
+	       include/timer.h include/xpram.h include/color_scheme.h \
+	       include/my_sdl.h \
 	       BeOS/audio_beos.cpp BeOS/extfs_beos.cpp BeOS/scsi_beos.cpp \
 	       BeOS/serial_beos.cpp BeOS/sys_beos.cpp BeOS/timer_beos.cpp \
 	       BeOS/xpram_beos.cpp BeOS/SheepDriver BeOS/SheepNet \
@@ -66,7 +67,7 @@
                CrossPlatform/video_vosf.h CrossPlatform/video_blit.h CrossPlatform/video_blit.cpp \
 	       Unix/audio_oss_esd.cpp \
 	       Unix/vhd_unix.cpp \
-	       Unix/extfs_unix.cpp Unix/serial_unix.cpp \
+	       Unix/extfs_unix.cpp Unix/serial_unix.cpp Unix/color_scheme.cpp \
 	       Unix/sshpty.h Unix/sshpty.c Unix/strlcpy.h Unix/strlcpy.c \
 	       Unix/sys_unix.cpp Unix/timer_unix.cpp Unix/xpram_unix.cpp Unix/prefs_unix.cpp \
 	       Unix/semaphore.h Unix/posix_sem.cpp Unix/config.sub Unix/config.guess Unix/m4 \

=== debian/changelog ===
basilisk2 (0.9.20251105+dfsg-2) unstable; urgency=medium

  * Non-Maintainer Upload
  * Replace CDBS build with pure DH build (Closes: #1125304)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 21:26:50 +0100

basilisk2 (0.9.20251105+dfsg-1.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * Switch to Standards-Version 4.7.3, drop Priority: tag
  * Build with Gtk3 (Closes: #967267)
  * Add patch to fix build with Gtk-3
  * Add debian/salsa-ci.yml (can someone please enable Salsa CI ?)
  * Start migration from CDBS to short DH:
    * install the documentation with debhelper
    * rename files in debian/ for forward compatibility with debhelper 14/15
    * install more files with basilisk2.install

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Jan 2026 09:34:15 +0100

basilisk2 (0.9.20251105+dfsg-1) unstable; urgency=medium

  * Non-Maintainer Upload
  * New upstream version 0.9.20251105+dfsg
  * Refresh patch
  * Build with SDL3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 00:16:36 +0100

=== debian/control ===
Source: basilisk2
Section: contrib/otherosfs
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Giulio Paci <giuliopaci@gmail.com>,
 Jérémy Lal <kapouer@melix.org>,
 Stephen Kitt <skitt@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 libgtk-3-dev,
 libmpfr-dev [arm64 armel armhf],
 libsdl3-dev,
 libtinyxml2-dev,
 libvdeplug-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/basilisk2.git
Vcs-Browser: https://salsa.debian.org/debian/basilisk2
Homepage: https://basilisk.cebix.net/

Package: basilisk2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 68k Macintosh emulator
 Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
 you to run 68k MacOS software on you computer, even if you are using a
 different operating system. However, you still need a copy of MacOS and
 a Macintosh ROM image to use Basilisk II.
 .
 Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# SDL allows use of pulseaudio (and pipewire) without gone libesd headers
DEB_CONFIGURE_USER_FLAGS = --enable-sdl-video --enable-sdl-audio --with-sdl3

DEB_CONFIGURE_USER_FLAGS += $(if $(filter debug,$(DEB_BUILD_OPTIONS)),,--without-mon)

# Suppress excess and seemingly non-fatal warnings
#  * Upstream included -fno-merge-constants but seems unneeded
warning-flags = -Wno-unused-variable -Wno-unused-label -Wno-unused-function -Wno-missing-braces -Wno-parentheses
includedirs = -I$(CURDIR)/BasiliskII/src/Unix

export DEB_CFLAGS_MAINT_APPEND = $(warning-flags) $(includedirs)
export DEB_CXXFLAGS_MAINT_APPEND = $(warning-flags) $(includedirs)

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	cd BasiliskII/src/Unix && aclocal -I m4
	cd BasiliskII/src/Unix && autoheader
	cd BasiliskII/src/Unix && autoconf
	dh_auto_configure --sourcedir=BasiliskII/src/Unix --builddirectory=build/nojit -- $(DEB_CONFIGURE_USER_FLAGS) --enable-jit-compiler=no
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	dh_auto_configure --sourcedir=BasiliskII/src/Unix --builddirectory=build/jit   -- $(DEB_CONFIGURE_USER_FLAGS) --enable-jit-compiler
endif

override_dh_auto_build:
	APP_FLAVOR=nojit dh_auto_build --sourcedir=BasiliskII/src/Unix --builddirectory=build/nojit
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	APP_FLAVOR=jit   dh_auto_build --sourcedir=BasiliskII/src/Unix --builddirectory=build/jit
endif

override_dh_auto_install:
	APP_FLAVOR=nojit dh_auto_install --builddirectory=build/nojit --destdir=debian/tmp-nojit
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	APP_FLAVOR=jit   dh_auto_install --builddirectory=build/jit   --destdir=debian/tmp-jit
endif
	rm -f debian/basilisk2/usr/share/BasiliskII/tunconfig
	dh_installchangelogs debian/ChangeLog.git
